Skip to main content
GET
Get Garnishments
Returns a cursor-paginated list of garnishments. Use start_at from meta.next / meta.previous to page. workerID and workerType must be provided together when filtering by worker.

Authorizations

Authorization
string
header
required

Query Parameters

companyID
string
required

Company ID of employer

workerID
string

Filter by worker ID. Must be provided together with workerType.

workerType
enum<string>

Filter by worker type. Must be provided together with workerID.

Available options:
employee,
contractor
status
enum<string>

Filter by garnishment status

Available options:
active,
satisfied,
modified,
vacated,
canceled
garnishment_type
string

Filter by garnishment type. Accepts a single value or a comma-separated list.

external_id
string

Filter by external ID

q
string

Free-text search across worker name, worker ID, garnishment ID, case ID, order number, and agency

effective_start_date_from
string

Inclusive lower bound for effective_start_date (YYYY-MM-DD)

effective_start_date_to
string

Inclusive upper bound for effective_start_date (YYYY-MM-DD)

effective_end_date_from
string

Inclusive lower bound for effective_end_date (YYYY-MM-DD)

effective_end_date_to
string

Inclusive upper bound for effective_end_date (YYYY-MM-DD)

sort_by
enum<string>

Field to sort by

Available options:
priority,
created_at,
total_amount_owed,
effective_start_date,
effective_end_date
sort_direction
enum<string>

Sort direction

Available options:
asc,
desc
limit
integer
default:25

Page size (1-100). Defaults to 25.

Required range: 1 <= x <= 100
start_at
string

Cursor for pagination

Response

200

success
boolean
default:true
Example:

true

data
object[]
meta
object